<?php

defined('_JEXEC') or die;




?>


<div class="sketchcontact">
	<div class="row">
		<div class="columns large-12 medium-12 small-12">
			<a id="contact"></a>
			<?php

			require(JPATH_ROOT . "/modules/mod_sketchcontact/helper/validate.php");
			// echo thx-msg after validation an send mail

			if (isset($sended) && $validation == true) {

                require(JPATH_ROOT . "/modules/mod_sketchcontact/helper/mailer.php");



				echo "<div class='row echobox'><div class='columns large-12 medium-12 small-12'><p>" . JText::_("COM_SKETCHCONTACT_FORM_THX") . "</p></div></div>";

			} // echo form & data if $sended is not set

			else {
			?>
			<p><?php echo JText::_("COM_SKETCHCONTACT_SITE_DESCRIPTION"); ?></p>
		</div>
	</div>
	<?php
	if(isset($error)) {
		$error_text = "<div class='row echobox'><div class='columns large-12 medium-12 small-12'>" . $error . "</div></div>";
	}


	?>
	<div class="sketch-form">
		<?php if (isset($error_text)) { ?>
			<div class="sketch-error"> <?php echo $error_text; ?> </div>
		<?php } ?>

		<form action="<?php echo JRoute::_($url); ?>" method="post">
			<input type="hidden" name="sketchform_date" value="<?php echo date("d.m.Y"); ?>"/>

			<div class="row">
				<div class="columns <?php echo $sketchgrid_col; ?>">
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label><?php echo JText::_("COM_SKETCHCONTACT_LABEL_COMPANY"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_company"
							       value="<?php echo $jinput->get("sketchform_company", '', 'string'); ?>"/>
						</div>
					</div>
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label class="required"><?php echo JText::_("COM_SKETCHCONTACT_LABEL_NAME"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_name"
							       value="<?php echo $jinput->get("sketchform_name", '', 'string'); ?>"/>
						</div>
					</div>


					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label><?php echo JText::_("COM_SKETCHCONTACT_LABEL_STREET"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_street"
							       value="<?php echo $jinput->get("sketchform_street", '', 'string'); ?>"/>
						</div>
					</div>
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label><?php echo JText::_("COM_SKETCHCONTACT_LABEL_CITY"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_city"
							       value="<?php echo $jinput->get("sketchform_city", '', 'string'); ?>"/>
						</div>
					</div>
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label><?php echo JText::_("COM_SKETCHCONTACT_LABEL_PHONE"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_phone"
							       value="<?php echo $jinput->get("sketchform_phone", '', 'string'); ?>"/>
						</div>
					</div>

				</div>
				<div class="columns <?php echo $sketchgrid_col; ?>">
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label class="required"><?php echo JText::_("COM_SKETCHCONTACT_LABEL_MAIL"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_email" value=""/>
						</div>
					</div>
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label
								class="required"><?php echo JText::_("COM_SKETCHCONTACT_LABEL_CAPTCHA"); ?> </label>
						</div>

						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input class="sketch-captcha" type="text" name="sketchform_captcha" value=""
							       placeholder="<?php echo JText::_("COM_SKETCHCONTACT_LABEL_CAPTCHA_QUESTION"); ?> "
							       onfocus="this.placeholder = ''"
							       onblur="this.placeholder = '<?php echo JText::_("COM_SKETCHCONTACT_LABEL_CAPTCHA_QUESTION"); ?>'"/>
						</div>
					</div>
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label
								class="required"><?php echo JText::_("COM_SKETCHCONTACT_LABEL_TITLE"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
							<input type="text" name="sketchform_title"
							       value="<?php echo $jinput->get("sketchform_title", '', 'string'); ?>"/>
						</div>
					</div>
					<div class="row">
						<div class="columns <?php echo $sketchgrid_label; ?>">
							<label class="required"><?php echo JText::_("COM_SKETCHCONTACT_LABEL_TEXT"); ?> </label>
						</div>
						<div class="columns <?php echo $sketchgrid_input; ?>">
								<textarea class="required"
								          name="sketchform_text"><?php echo $jinput->get("sketchform_text", '', 'string'); ?></textarea>
						</div>
					</div>
				</div>

				<div class="columns large-12">
					<input type="submit" value="<?php echo JText::_("COM_SKETCHCONTACT_LABEL_SUBMIT"); ?>"/>
				</div>

				<?php echo JHTML::_('form.token'); ?>
		</form>
		<?php } ?>

		<div class="columns large-12">
			<?php require(JPATH_ROOT . "/modules/mod_sketchcontact/helper/advert.php"); ?>
		</div>
	</div>

</div>
</div>
